import request from '@/utils/request'

// 查询博雅集南洋咨询检索列表
export function listConsultation(query) {
  return request({
    url: '/vr/consultation/pageList',
    method: 'get',
    params: query
  })
}

// 查询博雅集南洋咨询检索详细
export function getConsultation(id) {
  return request({
    url: '/vr/consultation/' + id,
    method: 'get'
  })
}

// 新增博雅集南洋咨询检索
export function addConsultation(data) {
  return request({
    url: '/vr/consultation',
    method: 'post',
    data: data
  })
}

// 修改博雅集南洋咨询检索
export function updateConsultation(data) {
  return request({
    url: '/vr/consultation',
    method: 'put',
    data: data
  })
}

// 删除博雅集南洋咨询检索
export function delConsultation(id) {
  return request({
    url: '/vr/consultation/' + id,
    method: 'delete'
  })
}
